# Generated by Django 3.0 on 2020-07-14 18:39

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('cmweb', '0002_auto_20200709_1708'),
    ]

    operations = [
        migrations.AddField(
            model_name='rooms',
            name='room_total_storage_size',
            field=models.FloatField(default=0.0),
        ),
        migrations.CreateModel(
            name='RoomRecording',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('recording_id', models.TextField()),
                ('is_active', models.BooleanField(default=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('recording_size', models.FloatField(blank=True, null=True)),
                ('room', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cmweb.Rooms')),
            ],
        ),
        migrations.CreateModel(
            name='RoomHistory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('session_name', models.CharField(max_length=200)),
                ('session_start_datetime', models.DateTimeField()),
                ('session_end_datatime', models.DateTimeField()),
                ('session_participants', models.PositiveIntegerField(default=1)),
                ('session_was_recorded', models.BooleanField(default=False)),
                ('session', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='cmweb.Rooms')),
                ('session_started_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
